# fill this in yourself:
FlickRaw.api_key="FLICKRAPIKEY"
#$user_id = '50413594@N08'
$user_id = '35831478@N04'

helpers do
  def photoget()
    return flickr.photosets.getList(:user_id => $user_id)
  end

  def setget_main(setid)
    return flickr.photosets.getPhotos(:photoset_id => setid, :extras => 'url_sq,date_taken', :per_page => 6).photo
  end

  def setget(setid)
    return flickr.photosets.getPhotos(:photoset_id => setid, :extras => 'url_sq,url_m,url_l,url_o,url_s,date_taken').photo
  end

  def jsidremover(photos, current)
    ids = Array.new
    photos.each do |photo|
      ids.push("#{photo.id}")
    end
    ids.delete("#{current}")
    return ids
  end

  def size_chooser(photo)
    image = photo.url_s
    if @size == "o"
      begin
        image = photo.url_o
      rescue
        image = photo.url_l
      rescue
        image = photo.url_m
      rescue
        image = photo.url_s
      end
    end
 
    if @size == "l"
      begin
        image = photo.url_l
      rescue
        image = photo.url_m
      rescue
        image = photo.url_s
      end
    end

    if @size == "m"
      begin
        image = photo.url_m
      rescue
        image = photo.url_s
      end
    end

   return image
  end

end

#get '/' do
#  @sets = 
#  haml :index
#end

get '/' do
  @sets = photoget()
  haml :sets
end

get '/set/:setid/:size' do
  @setid = params[:setid]
  @photos = setget(@setid)
  @size = params[:size]
  haml :set
end
