require 'rubygems'
require 'sinatra'
require 'flickraw-cached'
require 'haml'
require 'sass'
require 'memcached'
require 'main'
require 'rack/cache'

set :run, false

$cache = Memcached.new

use Rack::Cache,
 :verbose     => true,
 :metastore   => $cache,
 :entitystore => $cache,
 :default_ttl => 6000

run Sinatra::Application
